<mat-card class="card-register">
  <mat-card-content>
    <div>
      <h2>
        Incluir Registro de Ponto
      </h2>

      <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <div>
          <label class="label-item-form">Tipo de registro: </label>
          <mat-radio-group formControlName="recordType" color="primary">
            <mat-radio-button value="E">Entrada</mat-radio-button>
            <mat-radio-button value="S">Saída</mat-radio-button>
          </mat-radio-group>
          <mat-error *ngIf="form.touched && form.get('recordType').hasError('required')">
            O Tipo de registro é obrigatório
          </mat-error>
        </div>
        <div class="form-input">
          <mat-form-field>
            <mat-label>Nome Usuário</mat-label>
            <input matInput placeholder="Nome" formControlName="name" />
            <mat-error *ngIf="form.touched && form.get('name').hasError('required')">
              O nome é obrigatório
            </mat-error>
          </mat-form-field>
        </div>
        <div>
          <button mat-stroked-button color="primary" class="button-record">
            Salvar
          </button>
        </div>
      </form>
    </div>
  </mat-card-content>
</mat-card>
